Skip to main content

Get Items

GET 

/v1/sandbox/:sandbox_id/item

Get Items by filters. All filters must be true for an Item to be returned. Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    item_ids uuid[]

    Item IDs to filter by

    legacy_item_ids integer[]

    Legacy Item IDs to filter by

    types Item Type[]

    Possible values: [unit, recipe, recipe_with_price_reduction, entitlement]

    Item types to filter by

    coupon_currency_item_ids uuid[]

    Coupon Currency Item IDs to filter by

    inventory_bucket_use_rule_set_ids uuid[]

    Inventory Bucket Use Rule Set IDs to filter by

    level_xp_ids uuid[]

    Level Xp IDs to filter by

    name Name

    Possible values: non-empty and <= 128 characters

    Filter by case insensitive name

    smart_search Smart Search

    Possible values: non-empty and <= 128 characters

    Filter by name, id or legacy id

    last_modified_account_ids uuid[]

    Filter by last modified account ID

    sort_by any

    Sort results by

    expand ExpandProperty[]

    Possible values: [*, legacy_id]

    Resources to expand and fill in additional detail

    sort_order any

    Sort order

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

Responses

Successful Response

Schema

    data

    object[]

    The Items.

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    item_type Item Type (string)

    Possible values: [unit, recipe, recipe_with_price_reduction, entitlement]

    The type of item.

    entitled_loot_id uuid

    This is only valid for an entitlement Item. When this item is granted and Inventory Session creation, this is the Loot ID that will be fulfilled.

    level_xp_table_id uuid

    The XP Table that is used to determine the Player's level for this XP. The level increase occurs when the quantity of this Item increases above the minimum XP of an XP Level. This is only valid for an unit Item.

    level_vendor_id uuid

    The vendor containing the rewards to grant to the player as they level up. If a level_xp_table_id is configured, when this item is granted to a player their quantity is converted to a level using that table and rewards are granted based on the sort_order of loot inside this reward vendor. If there is no level_xp_table_id configured, the quantity is used to select loot to grant from this reward vendor. This is only valid for an unit Item.

    inventory_bucket_use_rule_set_id uuid

    The Inventory Bucket Use Rule Set ID that determines how this item can be used across buckets.

    coupon_discount_percentage Coupon Discount Percentage (number)

    Possible values: > 0 and <= 1

    The amount the price is discounted. This is a percentage between 0 and 1. For example, 0.25 would be a 25% discount.

    coupon_consume_on_use Coupon Consume On Use (boolean)

    If true, the coupon will be consumed when used by decreasing the quantity in the Player's Inventory by 1. If false, the coupon will remain in the Player's inventory after use.

    coupon_discount_loot uuid[]

    Default value: ``

    List of Loot IDs this item can discount

    coupon_discount_currency_item_name Coupon Discount Currency Item Name (string)

    Name of corresponding currency Item ID

    coupon_discount_currency_item_id uuid

    The Item ID of the currency to be used for the coupon.

    total_ownership_max Total Ownership Max (integer)

    Default value: 0

    Maximum ownership (permanent+rental) count that a player is allowed for this item ID

    legacy_item_id Legacy Item Id (integer)

    The Legacy Item ID.

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    item_id uuidrequired

    The Item ID.

    entitled_loot_name Entitled Loot Name (string)

    Name corresponding entitled Loot ID

    level_vendor_name Level Vendor Name (string)

    Name of corresponding level Vendor ID

    level_xp_table_name Level Xp Table Name (string)

    Name of corresponding level XP Table ID

    inventory_bucket_use_rule_set_name Inventory Bucket Use Rule Set Name (string)

    Name of corresponding Inventory Bucket Use Rule Set ID

  • ]

  • page_meta

    object

    required

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    page_size Page Size (integer)

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    total Total (integer)

    Default value: 0

    The total number of entities.

Loading...